package com.ruoyi.project.zjsgfa.service;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjHse;

/**
 * 设计-HSE专篇Service接口
 * 
 * @author ruoyi
 * @date 2025-07-24
 */
public interface ISjHseService 
{
    /**
     * 查询设计-HSE专篇
     * 
     * @param id 设计-HSE专篇主键
     * @return 设计-HSE专篇
     */
    public SjHse selectSjHseById(Long id);

    /**
     * 查询设计-HSE专篇列表
     * 
     * @param sjHse 设计-HSE专篇
     * @return 设计-HSE专篇集合
     */
    public List<SjHse> selectSjHseList(SjHse sjHse);

    /**
     * 新增设计-HSE专篇
     * 
     * @param sjHse 设计-HSE专篇
     * @return 结果
     */
    public int insertSjHse(SjHse sjHse);

    /**
     * 修改设计-HSE专篇
     * 
     * @param sjHse 设计-HSE专篇
     * @return 结果
     */
    public int updateSjHse(SjHse sjHse);

    /**
     * 批量删除设计-HSE专篇
     * 
     * @param ids 需要删除的设计-HSE专篇主键集合
     * @return 结果
     */
    public int deleteSjHseByIds(Long[] ids);

    /**
     * 删除设计-HSE专篇信息
     * 
     * @param id 设计-HSE专篇主键
     * @return 结果
     */
    public int deleteSjHseById(Long id);
}
